org.richfaces.webapp

## Class PushHandlerFilter

- java.lang.Object
- - org.richfaces.webapp.PushHandlerFilter

- All Implemented Interfaces:
    Serializable, javax.servlet.Filter

      public class PushHandlerFilter
      extends Object
      implements javax.servlet.Filter, Serializable

  Serves as delegate for Atmposphere servlets - should not be used directly
  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PUSH_SESSION_ID_PARAM`
    `static String` | `REQUEST_ATTRIBUTE_NAME`
    `static String` | `SESSION_ATTRIBUTE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushHandlerFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Note: Filter does not delegate to chain, since it would lead into cycle by calling `HttpServlet.service(ServletRequest, ServletResponse)`.
    `void` | `init(javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_ATTRIBUTE_NAME

          public static final String SESSION_ATTRIBUTE_NAME

    - #### REQUEST_ATTRIBUTE_NAME

          public static final String REQUEST_ATTRIBUTE_NAME

    - #### PUSH_SESSION_ID_PARAM

          public static final String PUSH_SESSION_ID_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PushHandlerFilter

          public PushHandlerFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Note: Filter does not delegate to chain, since it would lead into cycle by calling `HttpServlet.service(ServletRequest, ServletResponse)`.
      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.